Subject: [AthofSV] This Sunday's Humanist Forum: Building a Sustainable Society from the Bottom Up

From: "Mark W. Thomas" <[email-masked]>
Date: Fri, 13 Apr 2007 08:38:47 -0700

Apr 15: Building a Sustainable Society from the Bottom Up

Michael Closson, the Executive Director of Acterra, a local 
environmental organization, will outline an overall strategy and 
Acterra's specific approach to building a sustainable society – one in 
which people live in harmony with each other and our natural 
environment over the long term. A major element of this strategy is 
helping concerned citizens find ways that they can "plug in" and make a 
difference in their communities. The next step is leveraging these 
local initiatives so that they can affect local, state and federal 
policies.

The Mitchell Park Community Center is located at 3800 Middlefield Road, 
Palo Alto, between Charleston and East Meadow.